Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.benchmark
Class Evaluate

    java.lang.Object
      org.encog.util.benchmark.Evaluate

    public final class Evaluate

extends Object

Used to evaluate the training time for a network.

Author:
  jheaton

Field Summary
`static int` | `MILIS` Mili-seconds in a second.

Constructor Summary
`Evaluate()`

Method Summary
`static int` | `evaluateTrain(BasicNetwork network, MLDataSet training)` Evaluate how long it takes to calculate the error for the network.
`static int` | `evaluateTrain(int input, int hidden1, int hidden2, int output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MILIS

    public static final int MILIS

  Mili-seconds in a second.

  See Also:
    Constant Field Values

Constructor Detail

### Evaluate

    public Evaluate()

Method Detail

### evaluateTrain

    public static int evaluateTrain(int input,
                                    int hidden1,
                                    int hidden2,
                                    int output)

### evaluateTrain

    public static int evaluateTrain(BasicNetwork network,
                                    MLDataSet training)

  Evaluate how long it takes to calculate the error for the network. This causes each of the training pairs to be run through the network. The network is evaluated 10 times and the lowest time is reported.

  Parameters:
    `network` - The network to evaluate with.
    `training` - The training data to use.
  Returns:
    The lowest number of seconds that each of the ten attempts took.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.